<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{request.idRequest}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!request.idRequest">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="request.idRequest" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.request.requestNumber" for="field_requestNumber">Request Number</label>
                        <input type="text" class="form-control" name="requestNumber" id="field_requestNumber"
                            [(ngModel)]="request.requestNumber"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.request.dateCreate" for="field_dateCreate">Date Create</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="request.dateCreate"
                                dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.request.description" for="field_description">Description</label>
                        <input type="text" class="form-control" name="description" id="field_description"
                            [(ngModel)]="request.description"  />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.request.requestType" for="field_requestType">Request Type</label>
                        <select class="form-control" id="field_requestType" name="requestType" [(ngModel)]="request.requestTypeId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="requestTypeOption.idRequestType" *ngFor="let requestTypeOption of requesttypes; trackBy: trackRequestTypeById">{{requestTypeOption.description}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>